# CSL_IDMA_IDMA1CONFIG Struct Reference
[IDMA Data Structures]

This structure holds the information required to initiate a iDMA Channel 1 Block Fill/Transfer request in the GEM. More...

`#include <csl_idma.h>`

## Data Fields
Uint32 * | source
| IDMA channel 1 Source Address.
Uint32 * | destn
| IDMA channel 1 Destination Address.
Uint16 | count
| Number of bytes to be transfered.
Uint32 | priority:3
| Transfer Priority.
Uint32 | intEnable:1
| Boolean Flag to enable/disable CPU interrupt.

## Detailed Description

This structure holds the information required to initiate a iDMA Channel 1 Block Fill/Transfer request in the GEM.

## Field Documentation

Uint16 CSL_IDMA_IDMA1CONFIG::count

Number of bytes to be transfered.

The count signifies the number of bytes to be transferred using iDMA channel 1. This must be a multiple of 4 bytes. A count of zero will not transfer any data, but will generate an interrupt if requested.

Uint32* CSL_IDMA_IDMA1CONFIG::destn

IDMA channel 1 Destination Address.

The destination address must point to a 32 bit word-aligned memory location local to GEM. This address must be local to GEM, either in L1P, L1D, L2 or CFG and also must be different port than the source address to obtain full throughput.

Uint32 CSL_IDMA_IDMA1CONFIG::intEnable

Boolean Flag to enable/disable CPU interrupt.

When this interrupt flag is set, a CPU Interrupt IDMA_INT1 is raised on completion of the block transfer/fill request.

Uint32 CSL_IDMA_IDMA1CONFIG::priority

Transfer Priority.

The transfer priority is used for arbitration between the CPU and DMA accesses when there are conflicts. Valid values for the priority range between 0 and 7.

Uint32* CSL_IDMA_IDMA1CONFIG::source

IDMA channel 1 Source Address.

The source address must point to a word-aligned memory location local to GEM. When performing a block fill, all 32 bits of the address specified are considered; While, for block transfers, the 2 LSBs are ignored and the higher order 30 bits are read as the valid Source Address for transfer.

The documentation for this struct was generated from the following file:

- csl_idma.h

Copyright 2012, Texas Instruments Incorporated